# QAugmentedRealityCameraModel Class Reference

List of all members.

## Public Member Functions

| QAugmentedRealityCameraModel (QObject *parent=0)
int | rowCount (const QModelIndex &parent=QModelIndex()) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
QHash< int, QByteArray > | roleNames () const
Q_INVOKABLE void | append (QVariantMap item)
void | appendRow (QAugmentedRealityCameraItem *item)
void | appendRows (const QList< QAugmentedRealityCameraItem * > &items)
void | insertRow (int row, QAugmentedRealityCameraItem *item)
bool | removeRow (int row, const QModelIndex &parent=QModelIndex())
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex())
QAugmentedRealityCameraItem * | at (int row)
QAugmentedRealityCameraItem * | takeRow (int row)
QAugmentedRealityCameraItem * | find (const QString &id) const
QModelIndex | indexFromItem (const QAugmentedRealityCameraItem *item) const
void | clear ()
QDeclarativeListProperty < QAugmentedRealityCameraItem > | pins ()

## Properties

QDeclarativeListProperty < QAugmentedRealityCameraItem > | pins

The documentation for this class was generated from the following file:

- qaugmentedrealitycameramodel.h

All Classes Functions